# Installing Elixir in Ubuntu
### **AUTOMATED INSTALL**

wget -q -O - https://git.bbh.org.in/chess/elxr/src/branch/master/i.lin.sh  | bash

Addtional steps For Production

1. NODE_ENV=production elxr use elixir
2. SyncMaster


### **MANUAL INSTALL**
* ### Step 1: Install Dependencies

###### Tested for Ububtu 20.04


#### 1a: Install Node
```
sudo apt update
```
```
sudo apt upgrade
```
```
sudo apt install nodejs
```
```
node -v
```
```
sudo apt install npm
```

1b: Install Git
1c: Clone elxr

* ### Step 2: elxr pull

* ### Step 3: Switch branch
elxr use elixir

* ### Step 4: SyncMaster (only for production)

* ### Step 5: Pull all instances
elxr npm i



-----

# Installing Elixir in Windows

### **AUTOMATED INSTALL**
save https://git.bbh.org.in/chess/elxr/src/branch/master/i.win.sh to folder.
cscript i.win.sh

Addtional steps For Production

1. NODE_ENV=production elxr use elixir
2. SyncMaster

### **MANUAL INSTALL**

####  Step 1: Install Dependencies
* ##### Install Node

* ##### Install Git

* ##### Clone elxr
```
git clone http://git.bbh.org.in/chess/elxr.git
```

* ##### Create elxr alias
```
cd elxr
npm link
```

####  Step 2: elxr pull
####  Step 3: Switch branch
####  Step 4: SyncMaster (only for production)
####  Step 5: Pull all instances